Get Raw README Content
curl --request GET \
--url https://v1.api.altostrat.io/scripts/community-scripts/{communityScriptId}.md \
--header 'Authorization: Bearer <token>'import requests
url = "https://v1.api.altostrat.io/scripts/community-scripts/{communityScriptId}.md"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://v1.api.altostrat.io/scripts/community-scripts/{communityScriptId}.md', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"# My Awesome Script\nThis script does amazing things."{
"type": "invalid_request_error",
"code": "parameter_missing",
"message": "The 'name' parameter is required for this request.",
"doc_url": "https://docs.altostrat.io/errors/parameter_missing"
}{
"type": "invalid_request_error",
"code": "parameter_missing",
"message": "The 'name' parameter is required for this request.",
"doc_url": "https://docs.altostrat.io/errors/parameter_missing"
}Community Scripts
Get Raw README Content
Downloads the raw, plain-text markdown content of a community script’s README file, if one exists.
GET
/
scripts
/
community-scripts
/
{communityScriptId}
.md
Get Raw README Content
Authorizations
Altostrat SDX API uses JWT Bearer tokens for authentication. Obtain a token via the Authentication API and include it in the Authorization header as 'Bearer {token}'.
Path Parameters
The unique identifier for the community script.
Example:
"01H8XGJWBWBAQ1Z3G1B6X2Q8P5"
Response
The raw README markdown content.
The response is of type string.
Example:
"# My Awesome Script\nThis script does amazing things."
Was this page helpful?
⌘I